WordPress 让文章内容支持 PHP 代码

weixing 阅读 205 次

你有没有想过在文章中直接执行 PHP 代码呢?这是很好的功能,在有些时候可以帮我们大大的节省效率。而默认是无法直接在文章编辑器里添加代码的,想让他支持 PHP 代码,就需要一个插件了。
Exec-PHP 插件可以让文章编辑器和文本小工具支持 PHP 代码,只需要把 PHP 代码用 <?php 和 ?> 围起来,就可以直接执行了。
虽然 Exec-PHP 插件最后更新还是 2009 年,但和最新的 WordPress 3.9 大致还是兼容的,可以放心使用。

使用方法

注意,安装之后,添加 PHP 代码时,需要切换到 “文本”,而不是 “可视化”。
这样,用户看到的时候就会直接得到 “Hello World!” 了。
文本小工具也是一样:

安全问题

如果你的站点开放注册的话,那安全就是很严重的问题了,因为一旦有人非法利用 PHP 代码控制网站就不好了。
不过用 Exec-PHP 插件,你大可不用担心,因为 Exec-PHP 插件会对文章的编辑人的权限进行检查,如果不是管理员,则不会执行。

插件主页

插件主页:http://wordpress.org/plugins/exec-php/

扫描关注微信公众号WPMEE
  • 第一时间了解WordPress动态
  • 学习WordPress教程